ifdef FUSE_MEMORY_SIZE

CMD_FUSE = -U fuse:w:lfuse.hex:a
CMD_LFUSE = -U lfuse:w:lfuse.hex:a
CMD_HFUSE = -U hfuse:w:hfuse.hex:a
CMD_EFUSE = -U efuse:w:efuse.hex:a

ifeq "$(FUSE_MEMORY_SIZE)" "1"

CMD_FUSES = -u $(CMD_FUSE)
FUSE_FILES = lfuse.hex

endif

ifeq "$(FUSE_MEMORY_SIZE)" "2"

CMD_FUSES = -u $(CMD_LFUSE) $(CMD_HFUSE)
FUSE_FILES = lfuse.hex hfuse.hex

endif

ifeq "$(FUSE_MEMORY_SIZE)" "3"

CMD_FUSES = -u $(CMD_LFUSE) $(CMD_HFUSE) $(CMD_EFUSE)
FUSE_FILES = lfuse.hex hfuse.hex efuse.hex

endif

endif



lfuse.hex: fuses.hex
	srec_cat fuses.hex -Intel -crop 0x820000 0x820001 -offset -0x820000 -O lfuse.hex -Intel

hfuse.hex: fuses.hex
	srec_cat fuses.hex -Intel -crop 0x820001 0x820002 -offset -0x820001 -O hfuse.hex -Intel

efuse.hex: fuses.hex
	srec_cat fuses.hex -Intel -crop 0x820002 0x820003 -offset -0x820002 -O efuse.hex -Intel
