#include <stdint.h>

#include <avr/io.h>
#include <avr/fuse.h>





#define UseCkDiv8 0

#define LED_DDRB DDB4
#define LED_PORTB PB4





#if UseCkDiv8

  #define ClockDivider 8
  
#else

  #define ClockDivider 1
  
#endif  



#define DefaultClockRate (9600 * 1000)


#include <util/delay_basic.h>


#define F_CPU (DefaultClockRate / ClockDivider)
//#include <util/delay.h>





#define SetBits(v, e) (v) |= (e)
#define ResetBits(v, e) (v) &= ~(e)
#define TestBits(e1, e2) ((e1) & (e2))





FUSES = {
  (LFUSE_DEFAULT
#if !UseCkDiv8
    | (uint8_t) (~FUSE_CKDIV8)
#endif
  ),
  (HFUSE_DEFAULT
  )
};





  




int main (void) {

  //LedOnGnd <LED_DDRB, LED_PORTB> LedA;

  DDRB = (0
    | LED_DDRB
  );

  while (1) {

    //LedA.On ();
    SetBits (PORTB, LED_PORTB);

    _delay_loop_2 (100);

    //LedA.Off ();
    ResetBits (PORTB, LED_PORTB);

    _delay_loop_2 (200);

  }

  return 0;

}
